Table of Contents

_________________________________________________________________

## NAME

Db - create and manipulate a db object.

## SYNOPSIS

Db dbName dbFile

## INHERITANCE

None

## WIDGET-SPECIFIC OPTIONS

Name:
  dbfile

Command-Line Switch:
  -dbfile

Specifies the name of the database file associated with this db object.

## DESCRIPTION

The Db command creates a new db object (given by the dbName argument) that can be used to manipulate a LIBRT database object which is associated with the database file given by dbFile. The Db command returns its dbName argument. At the time this command is invoked, there must not exist a db object named dbName.

## METHODS

The Db command creates a new Tcl command whose name is dbName. This command may be used to invoke various operations on the db object. It has the following general form:

dbName option ?arg arg ...?

Option and the args determine the exact behavior of the command. The following commands are possible for db objects:

### BUILT-IN METHODS

  cget configure isa info

### ASSOCIATED METHODS

Methods associated with LIBRT's database object:

  adjust c cat color comb concat cp dbip dump dup expand find form g get i keep kill killall killtree l listeval ls match mv mvall open observer paths prcolor push put r rm rt_gettrees title tol tops tree whatid whichair whichid

### WIDGET-SPECIFIC METHODS

dbName get_dbname
  Return the associated LIBRT database object name.

## NOTES

## EXAMPLE

## ACKNOWLEDGEMENTS:

Mark L. Ulferts <mulferts@austin.dsccc.com>

            Basic layout for documenting classes.

## AUTHOR

Robert G. Parker

## KEYWORDS

Table of Contents

- NAME
- SYNOPSIS
- INHERITANCE
- WIDGET-SPECIFIC OPTIONS
- DESCRIPTION
- METHODS
- BUILT-IN METHODS
- ASSOCIATED METHODS
- WIDGET-SPECIFIC METHODS
- NOTES
- EXAMPLE
- ACKNOWLEDGEMENTS
- AUTHOR
- KEYWORDS